summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRomain Forlot <romain.forlot@iot.bzh>2017-05-24 17:55:25 +0200
committerRomain Forlot <romain.forlot@iot.bzh>2017-05-24 17:55:25 +0200
commit0d28ff2c0f86d7c681a47638b0991f87e337c01b (patch)
treebe39457d89a38b564a6951ea42147f3da18c5128
parent6e6bcddf3535ed9800e76db08d9351863e6042b2 (diff)
Added missing files...
Change-Id: I4e359bb76bbd60833970ece52c12596196a22b02 Signed-off-by: Romain Forlot <romain.forlot@iot.bzh>
-rw-r--r--gdb/gdb-on-target.in13
-rw-r--r--ssh/start-on-target.in25
2 files changed, 38 insertions, 0 deletions
diff --git a/gdb/gdb-on-target.in b/gdb/gdb-on-target.in
new file mode 100644
index 0000000..360c860
--- /dev/null
+++ b/gdb/gdb-on-target.in
@@ -0,0 +1,13 @@
+# gdb-remote.init file for IDE
+# Object: allow to use standard gdb to remote debug a target
+# Usage: remote-target-populate update script under ./build directory
+# Author: Fulup Ar Foll (IoT.bzh)
+# Reference: https://blog.flameeyes.eu/2010/02/remote-debugging-with-gdb-part-2-gdb/
+
+# Start gdbserver on target and connect through SSH link
+target remote | ssh @RSYNC_TARGET@ gdbserver - afb-daemon --port=@AFB_REMPORT@ --workdir=@RSYNC_PREFIX@/@PROJECT_NAME@ --roothttp=./htdocs --ldpath=./lib --verbose --token=@AFB_TOKEN@
+
+# Replace run by continue (gdb use 'run' when gdbserver wants 'continue')
+define run
+continue
+end \ No newline at end of file
diff --git a/ssh/start-on-target.in b/ssh/start-on-target.in
new file mode 100644
index 0000000..309a059
--- /dev/null
+++ b/ssh/start-on-target.in
@@ -0,0 +1,25 @@
+#!/bin/sh
+#
+# File: start-on-target.sh
+# Author: Fulup Ar Foll @ IoT.bzh
+# Object: Forward signal (SIGTERM) to remote process
+# Created on 24-May-2017, 09:23:37
+# Usage: remote-target-populate update script under ./build directory
+
+# Do not change manually use 'make remote-target-populate'
+export RSYNC_TARGET=@RSYNC_TARGET@
+export PROJECT_NAME=@PROJECT_NAME@
+export RSYNC_PREFIX=@RSYNC_PREFIX@/@PROJECT_NAME@
+export AFB_REMPORT=@AFB_REMPORT@
+export AFB_TOKEN=@AFB_TOKEN@
+
+exec ssh -tt $RSYNC_TARGET << EOF
+ afb-daemon --workdir=$RSYNC_PREFIX --port=$AFB_REMPORT --roothttp=./htdocs --ldpath=./lib --verbose --token=$AFB_TOKEN &
+ PID_DAEMON=\$!
+
+ trap "echo REMOTE-SIGNAL TRAP; kill -15 \$PID_DAEMON" INT QUIT TERM EXIT
+
+ # wait for daemon to finish
+ wait \$PID_DAEMON
+ exit
+EOF